Package Details: qgis-grass-plugin 3.16.3-1

Git Clone URL: https://aur.archlinux.org/qgis-grass-plugin.git (read-only, click to copy)
Package Base: qgis-grass-plugin
Description: QGIS grass plugin resources.
Upstream URL: https://qgis.org/
Keywords: grass qgis
Licenses: GPL
Submitter: olivervbk
Maintainer: olivervbk
Last Packager: olivervbk
Votes: 0
Popularity: 0.000000
First Submitted: 2020-11-06 03:34
Last Updated: 2021-01-25 09:13

Latest Comments

olivervbk commented on 2021-01-25 09:17

Weird, the libs this compiles from source are not included by community package, they're not overwritten by this package.

I see grass support in the toolbox out-of-the-box, but in the plugins section, GRASS7 only appears after I install this. Haven't tested the functionality I needed this for.

Phigger commented on 2020-11-23 20:50

Hello there. I'm using the community package as well. I've compiled grass using the AUR pkgbuild. Qgis no longer needs a grass plugin, it detects grass if it's installed on the system and PATH locations are correctly configured.

olivervbk commented on 2020-11-23 20:45

Hi Phigger, I'm using the community QGIS (3.16.0-1), and although it seems to have some grass files in the package, I couldn't find the plugin in the plugins list.

AFAICT QGIS should only search for GRASS support on compile time, whereas the community qgis package is pre-compiled. Let me know if I missed something there.

As for "it won't compile for me", what error are you getting?

Phigger commented on 2020-11-19 09:05

I don't think this package is needed anymore, QGIS automatically recognize grass when installed in a valid PATH location.

Also, it won't compile for me.

olivervbk commented on 2020-11-06 03:38

This package was based on:
https://www.archlinux.org/packages/community/x86_64/qgis/
https://aur.archlinux.org/packages/qgis-ltr/

didn't find a way to just compile the actual grass-plugin dependencies, cmake had issues installing with only grassplugin targets.